Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class IfModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.IfModel

All Implemented Interfaces:
  Model

    public class IfModel

extends AbstractModel

Model support for if elements.

Defines a boolean expression to evaluate a target state to transition to if that expression evaluates to true. Optionally, this element may define an 'else' attribute to define a state to transition to if the expression evaluates to false.

Author:
  Scott Andrews

Constructor Summary
`IfModel(java.lang.String test, java.lang.String then)` Create an if model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.lang.String` | `getElse()`
`java.lang.String` | `getTest()`
`java.lang.String` | `getThen()`
`boolean` | `isMergeableWith(Model model)` Determine if the model is able to be merged into the current model
`void` | `merge(Model model)` Merge the model into the current model
`void` | `setElse(java.lang.String elze)`
`void` | `setTest(java.lang.String test)`
`void` | `setThen(java.lang.String then)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfModel

    public IfModel(java.lang.String test,
                   java.lang.String then)

  Create an if model

  Parameters:
    `test` - the boolean condition to test
    `then` - the state to transition to if the boolean expression evaluates to true

Method Detail

### isMergeableWith

    public boolean isMergeableWith(Model model)

  Description copied from interface: `Model`
  Determine if the model is able to be merged into the current model

  Parameters:
    `model` - the model to compare
  Returns:
    true if able to merge

### merge

    public void merge(Model model)

  Description copied from interface: `Model`
  Merge the model into the current model

  Parameters:
    `model` - the model to merge with

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getTest

    public java.lang.String getTest()

  Returns:
    the test

### setTest

    public void setTest(java.lang.String test)

  Parameters:
    `test` - the test to set

### getThen

    public java.lang.String getThen()

  Returns:
    the then

### setThen

    public void setThen(java.lang.String then)

  Parameters:
    `then` - the then to set

### getElse

    public java.lang.String getElse()

  Returns:
    the else

### setElse

    public void setElse(java.lang.String elze)

  Parameters:
    `elze` - the else to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD